Last Comment Bug 728936 - Drop jquery*.min.js from test pilot
: Drop jquery*.min.js from test pilot
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 13.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 729127
  Show dependency treegraph
 
Reported: 2012-02-20 12:11 PST by Mark Banner (:standard8)
Modified: 2012-03-20 07:39 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
The fix (123.88 KB, patch)
2012-02-20 12:11 PST, Mark Banner (:standard8)
irving: review+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-02-20 12:11:45 PST
Created attachment 598937 [details] [diff] [review]
The fix

Doing a few searches on the code for Test Pilot shows that we don't actually need the *.min.js files. These actually come from the shipped version of the "flot" extension to jquery which includes both the min and non-min files, so we should really just package the ones we need.
Comment 1 :Irving Reid (No longer working on Firefox) 2012-02-29 08:09:21 PST
Comment on attachment 598937 [details] [diff] [review]
The fix

Review of attachment 598937 [details] [diff] [review]:
-----------------------------------------------------------------

Can't see any reason why we need these files.
Comment 2 Mark Banner (:standard8) 2012-03-02 01:05:12 PST
Checked in: http://hg.mozilla.org/comm-central/rev/c04a8a9ed0f3
Comment 3 Jim Porter (:squib) 2012-03-03 00:58:53 PST
Comment on attachment 598937 [details] [diff] [review]
The fix

Clearing out my review, since this is already checked in. Sorry about dropping the ball on this...
Comment 4 Mark Banner (:standard8) 2012-03-20 07:38:48 PDT
Comment on attachment 598937 [details] [diff] [review]
The fix

[Triage Comment]
Taking to beta as I want to get the version of test pilot we're distributing, synced up with the version on AMO.
Comment 5 Mark Banner (:standard8) 2012-03-20 07:39:57 PDT
Checked in:

http://hg.mozilla.org/releases/comm-beta/rev/7196a9fd07f4

Note You need to log in before you can comment on or make changes to this bug.